Subject: bug#14326: 24.3; Conflict of w32-send-sys-command and set-default-font

From: martin rudalics <[email-masked]>
Date: Wed, 01 May 2013 11:15:23 +0200

> I am running Emacs 24.3 on Windows 7, with only two commands in my Emacs
 > init file:
 >     (w32-send-sys-command 61488) ;; maximize frame at startup
 >     (set-default-font "Monaco-10")
 > The first command works well alone, but it stops to maximize frame after
 > the second one is
 > added to init file. However, if eval them after Emacs starts up by M-x
 > eval-expression, then  (w32-send-sys-command 61488) still works.

Does interchanging the order of these two lines change anything?  What
happens when, with emacs -Q, you evaluate the form

(progn
   (w32-send-sys-command 61488) ;; maximize frame at startup
   (set-default-font "Monaco-10"))

and what happens when you do

(progn
   (w32-send-sys-command 61488) ;; maximize frame at startup
   (sit-for 1)
   (set-default-font "Monaco-10"))

instead?

Conceptually: Does anyone know whether sending a 61488 request to
Windows has Windows call us back with a maximize request?

martin